# front

![Version: CHART-VERSION](https://img.shields.io/badge/Version-CHART--VERSION-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: SERVICE-VERSION](https://img.shields.io/badge/AppVersion-SERVICE--VERSION-informational?style=flat-square)

Ryax platform web interface

## Values

### Global

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| global.nodeSelector | object | `{}` | Add nodeSelector injected as-is (https://kubernetes.io/docs/concepts/scheduling-eviction/assign-pod-node/#nodeselector) |

### Resource Settings

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| resources | object | `{}` | Recommended resource requirement Example:   requests:     memory: "125Mi"     cpu: "50m"   limits:     memory: "250Mi" |

### Other Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` | Add affinity injected as-is (https://kubernetes.io/docs/concepts/scheduling-eviction/assign-pod-node/#affinity-and-anti-affinity) Example:   nodeAffinity:     requiredDuringSchedulingIgnoredDuringExecution:       nodeSelectorTerms:       - matchExpressions:         - key: topology.kubernetes.io/zone           operator: In           values:           - antarctica-east1           - antarctica-west1 |
| apiPort | int | `80` |  |
| environment | string | `"development"` |  |
| extraEnv | object | `{}` | Add extra environment variables |
| image | object | `{"name":"registry.ryax.org/dev/front","tag":"SERVICE-VERSION"}` | container image name and version |
| imagePullPolicy | string | `"Always"` |  |
| priorityClass | string | `"microservices"` |  |
| pullSecret | string | `nil` | pull secret like in pod template |
| tls | object | `{"certSecret":"ryax-cert-development","enabled":true,"hostname":null}` | Enable TLS for the REST API |
| tls.hostname | string | `nil` | cluster FQDN like "cluster.ryax.io" use to create a valid certificate |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.13.1](https://github.com/norwoodj/helm-docs/releases/v1.13.1)
